Compute Engine v1 API - Class RoutersListNamedSets (3.29.0)

public sealed class RoutersListNamedSets : IMessage<RoutersListNamedSets>, IEquatable<RoutersListNamedSets>, IDeepCloneable<RoutersListNamedSets>, IBufferMessage, IMessage, IPageResponse<NamedSet>, IEnumerable<NamedSet>, IEnumerable

Inheritance

object > RoutersListNamedSets

Namespace

Google.Cloud.Compute.V1

Assembly

Google.Cloud.Compute.V1.dll

Constructors

RoutersListNamedSets()

public RoutersListNamedSets()

RoutersListNamedSets(RoutersListNamedSets)

public RoutersListNamedSets(RoutersListNamedSets other)
Parameter
Name Description
other RoutersListNamedSets

Properties

Etag

public string Etag { get; set; }
Property Value
Type Description
string

HasEtag

public bool HasEtag { get; }

Gets whether the "etag" field is set

Property Value
Type Description
bool

HasId

public bool HasId { get; }

Gets whether the "id" field is set

Property Value
Type Description
bool

HasKind

public bool HasKind { get; }

Gets whether the "kind" field is set

Property Value
Type Description
bool

HasNextPageToken

public bool HasNextPageToken { get; }

Gets whether the "next_page_token" field is set

Property Value
Type Description
bool
public bool HasSelfLink { get; }

Gets whether the "self_link" field is set

Property Value
Type Description
bool

Id

public string Id { get; set; }

[Output Only] The unique identifier for the resource. This identifier is defined by the server.

Property Value
Type Description
string

Kind

public string Kind { get; set; }

Output only. [Output Only] Type of resource. Alwayscompute#routersListNamedSets for lists of named sets.

Property Value
Type Description
string

NextPageToken

public string NextPageToken { get; set; }

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger thanmaxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

Property Value
Type Description
string

Result

public RepeatedField<NamedSet> Result { get; }

[Output Only] A list of named sets.

Property Value
Type Description
RepeatedFieldNamedSet
public string SelfLink { get; set; }

Output only. [Output Only] Server-defined URL for this resource.

Property Value
Type Description
string

Unreachables

public RepeatedField<string> Unreachables { get; }

Output only. [Output Only] Unreachable resources.

Property Value
Type Description
RepeatedFieldstring

Warning

public Warning Warning { get; set; }

[Output Only] Informational warning message.

Property Value
Type Description
Warning

Methods

GetEnumerator()

public IEnumerator<NamedSet> GetEnumerator()

Returns an enumerator that iterates through the resources in this response.

Returns
Type Description
IEnumeratorNamedSet